<form [formGroup]="clientForm" (ngSubmit)="onSubmit()">

  <div class="form-group">
    <label for="nom">Nom</label>
    <input formControlName="nom" type="text" class="form-control" id="nom">
  </div>

  <div class="form-group">
    <label for="prenom">Prénom</label>
    <input formControlName="prenom" type="text" class="form-control" id="prenom">

    <div class="alert alert-danger"
         *ngIf="clientForm.get('prenom')?.hasError('minlength')
         && clientForm.get('prenom')?.touched">
      Le champs doit contenir au minimum 2 char
    </div>

    <div class="alert alert-danger"
         *ngIf="clientForm.get('prenom')?.hasError('required')
         && clientForm.get('prenom')?.touched">
      Champs requis
    </div>
  </div>

  <div class="form-group">
    <label for="adresse">Adresse</label>
    <input formControlName="adresse" type="text" class="form-control" id="adresse">

    <div class="alert alert-danger"
         *ngIf="clientForm.get('adresse')?.invalid
         && clientForm.get('adresse')?.touched">
      Champs invalide
    </div>
  </div>


  <div class="form-group">
    <label for="ca">Total CA HT</label>
    <input formControlName="totalCaHT" type="number" class="form-control" id="ca">
  </div>

  <div class="form-group">
    <label for="societe">Société</label>
    <input formControlName="societe" type="text" class="form-control" id="societe">
  </div>

  <div class="form-group">
    <label for="taux">Taux d'imposition</label>
    <input formControlName="tauxImposition" type="number" class="form-control" id="taux">
  </div>

  <div class="form-group">
    <label for="fiabilite">Fiabilité</label>
    <select formControlName="fiabilite" class="form-control" id="fiabilite">
      <option *ngFor="let fiabilite of fiabiliteOptions"
              [value]="fiabilite">
        {{fiabilite}}
      </option>
    </select>
  </div>

  <button type="submit" class="btn btn-primary">Submit</button>
</form>
